## kemoticons 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KEmoticons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui DBus)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KEMOTICONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kemoticons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kemoticons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KEmoticons COMPONENT Devel )


# the strings throughout this library are used to search resources
# so they don't need translations
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
add_subdirectory(src)
add_subdirectory(themes)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Emoticons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Emoticons_QCH
        FILE KF5EmoticonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5EmoticonsQchTargets.cmake\")")
endif()

install(EXPORT KF5EmoticonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EmoticonsTargets.cmake NAMESPACE KF5:: )

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5EmoticonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kemoticons (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:26:47 +0000

kemoticons (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Adjust libkf5emoticons-dev.acc.in because of the *_version.h
    installation path change in KDE Frameworks 5.91

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:08:04 +0000

kemoticons (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:46:49 +0000

kemoticons (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:15:53 +0000

kemoticons (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:10:58 +0000

kemoticons (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lintian override: symbols-declares-dependency-on-other-package for
      libkf5emoticons-bin

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 12:59:42 +0000

kemoticons (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:39 +0900

kemoticons (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:18:20 +0000

kemoticons (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:05:29 +0000

kemoticons (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:54:24 +0900

kemoticons (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kemoticons (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:02:54 +0900

kemoticons (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:03 +0900

kemoticons (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:18:11 +0900

kemoticons (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:11:05 +0900

kemoticons (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:18 +0900

kemoticons (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:33 +0900

kemoticons (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:27 +0900

=== debian/control ===
Source: kemoticons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               libkf5archive-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5service-dev (>= 5.92.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kemoticons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
Rules-Requires-Root: no

Package: libkf5emoticons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the runtime files.

Package: libkf5emoticons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the data files.

Package: libkf5emoticons-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.92.0~),
         libkf5emoticons5 (= ${binary:Version}),
         libkf5service-dev (>= 5.92.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Recommends: libkf5emoticons-doc (= ${source:Version})
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 Contains development files for kemoticons.

Package: libkf5emoticons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for emoticons and emoticons themes (documentation)
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5emoticons5
Architecture: any
Multi-Arch: same
Depends: libkf5emoticons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5emoticons-bin (= ${binary:Version})
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.

## kemoticons 5.98.0

=== debian/changelog ===
kemoticons (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:31:43 +0100

kemoticons (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:55 +0100

kemoticons (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:47 +0100

kemoticons (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:55:20 +0100

kemoticons (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:19:00 +0100

kemoticons (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:22:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5archive-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5archive-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -50,9 +50,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.92.0~),
+Depends: libkf5archive-dev (>= 5.98.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.92.0~),
+         libkf5service-dev (>= 5.98.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kemoticons 5.100.0

=== debian/changelog ===
kemoticons (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:03 +0100

kemoticons (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:46 +0200

kemoticons (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:37 +0200

kemoticons (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:06 +0200

kemoticons (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

kemoticons (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Remove no more existing header from the 'acc' autopkgtest config.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 10:37:37 +0200

kemoticons (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kemoticons (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Add lintian override for libkf5emoticons5 recommending
    libkf5emoticons-bin.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: kemoticons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Diane Trout <diane@ghic.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5archive-dev (>= 5.98.0~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5service-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5archive-dev (>= 5.100.0~),
+               libkf5config-dev (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5service-dev (>= 5.100.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kemoticons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kemoticons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kemoticons.git
 Rules-Requires-Root: no
 
 Package: libkf5emoticons-bin
@@ -50,9 +49,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.98.0~),
+Depends: libkf5archive-dev (>= 5.100.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.98.0~),
+         libkf5service-dev (>= 5.100.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kemoticons 5.101.0

=== debian/changelog ===
kemoticons (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5archive-dev (>= 5.100.0~),
-               libkf5config-dev (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5service-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.101.0~),
+               libkf5archive-dev (>= 5.101.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5service-dev (>= 5.101.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -49,9 +49,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.100.0~),
+Depends: libkf5archive-dev (>= 5.101.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.100.0~),
+         libkf5service-dev (>= 5.101.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kemoticons 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(KEmoticons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -25,6 +25,7 @@
 include(ECMAddQch)
 include(CMakePackageConfigHelpers)
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
@@ -47,8 +48,13 @@
 
 # the strings throughout this library are used to search resources
 # so they don't need translations
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+    KCOREADDONS 5.85 # KPluginLoader, KPluginMetaData::instantiate
+    KSERVICE 5.89 # KServiceTypeTrader
+)
+
 add_subdirectory(src)
 add_subdirectory(themes)
 if (BUILD_TESTING)

=== src/integrationplugin/CMakeLists.txt ===
add_library(KEmoticonsIntegrationPlugin MODULE)

target_sources(KEmoticonsIntegrationPlugin PRIVATE
    kemoticonsintegrationplugin.cpp
    kemoticonsintegrationplugin.h
    ktexttohtml.cpp
    ktexttohtml.h
)

target_link_libraries(KEmoticonsIntegrationPlugin
    PRIVATE
        KF5::CoreAddons
        KF5::Emoticons
)

install(TARGETS KEmoticonsIntegrationPlugin
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5)

=== src/providers/kde/CMakeLists.txt ===
kcoreaddons_add_plugin(emoticonstheme_kde
    INSTALL_NAMESPACE kf5/emoticonsthemes
)

target_sources(emoticonstheme_kde PRIVATE kde_emoticons.cpp kde_emoticons.h)

ecm_qt_declare_logging_category(emoticonstheme_kde
    HEADER kemoticons_plugin_kde_debug.h
    IDENTIFIER KEMOTICONS_PLUGIN_KDE
    CATEGORY_NAME kf.emoticons.kde
    OLD_CATEGORY_NAMES kf5.kemoticons.plugin_kde
    DESCRIPTION "kemoticons (plugin kde)"
    EXPORT KEMOTICONS
)

find_package(Qt5Xml REQUIRED)
target_link_libraries(emoticonstheme_kde
PRIVATE
    KF5::Emoticons
    Qt5::Xml # for QDomDocument
)
########### install files ###############

set_target_properties(emoticonstheme_kde PROPERTIES
    OUTPUT_NAME "kde"
)

# KF6: remove
install(
    FILES emoticonstheme_kde.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== src/providers/pidgin/CMakeLists.txt ===
kcoreaddons_add_plugin(emoticonstheme_pidgin
    INSTALL_NAMESPACE kf5/emoticonsthemes
)

target_sources(emoticonstheme_pidgin PRIVATE pidgin_emoticons.cpp pidgin_emoticons.h)

ecm_qt_declare_logging_category(emoticonstheme_pidgin
    HEADER kemoticons_plugin_pidgin_debug.h
    IDENTIFIER KEMOTICONS_PLUGIN_PIDGIN
    CATEGORY_NAME kf.emoticons.pidgin
    OLD_CATEGORY_NAMES kf5.kemoticons.plugin_pidgin
    DESCRIPTION "kemoticons (plugin pidgin)"
    EXPORT KEMOTICONS
)

target_link_libraries(emoticonstheme_pidgin PRIVATE KF5::Emoticons)

########### install files ###############

set_target_properties(emoticonstheme_pidgin PROPERTIES
    OUTPUT_NAME "pidgin"
)
# KF6: remove
install(
    FILES emoticonstheme_pidgin.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== src/providers/xmpp/CMakeLists.txt ===
kcoreaddons_add_plugin(emoticonstheme_xmpp
    INSTALL_NAMESPACE kf5/emoticonsthemes
)

target_sources(emoticonstheme_xmpp PRIVATE xmpp_emoticons.cpp xmpp_emoticons.h)

ecm_qt_declare_logging_category(emoticonstheme_xmpp
    HEADER kemoticons_plugin_xmpp_debug.h
    IDENTIFIER KEMOTICONS_PLUGIN_XMPP
    CATEGORY_NAME kf.emoticons.xmpp
    OLD_CATEGORY_NAMES kf5.kemoticons.plugin_xmpp
    DESCRIPTION "kemoticons (plugin xmpp)"
    EXPORT KEMOTICONS
)


find_package(Qt5Xml REQUIRED)
target_link_libraries(emoticonstheme_xmpp
PRIVATE
    KF5::Emoticons
    Qt5::Xml # for QDomDocument
)

########### install files ###############

set_target_properties(emoticonstheme_xmpp PROPERTIES
    OUTPUT_NAME "xmpp"
)

# KF6: remove
install(
    FILES emoticonstheme_xmpp.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
kemoticons (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:29 +0100

kemoticons (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:08 +0100

=== debian/control ===
Source: kemoticons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libkf5archive-dev (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5service-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kemoticons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kemoticons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kemoticons.git
Rules-Requires-Root: no

Package: libkf5emoticons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the runtime files.

Package: libkf5emoticons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the data files.

Package: libkf5emoticons-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.103.0~),
         libkf5emoticons5 (= ${binary:Version}),
         libkf5service-dev (>= 5.103.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54),
Recommends: libkf5emoticons-doc (= ${source:Version}),
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 Contains development files for kemoticons.

Package: libkf5emoticons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for emoticons and emoticons themes (documentation)
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5emoticons5
Architecture: any
Multi-Arch: same
Depends: libkf5emoticons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5emoticons-bin (= ${binary:Version}),
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.

## kemoticons 5.104.0

=== debian/changelog ===
kemoticons (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:06 +0000

kemoticons (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:43:00 +0000

kemoticons (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:56:44 +0000

kemoticons (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:20:08 +0000

kemoticons (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:14:38 +0000

kemoticons (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:58:55 +0000

=== debian/control ===
Source: kemoticons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libkf5archive-dev (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5service-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kemoticons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
Rules-Requires-Root: no

Package: libkf5emoticons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the runtime files.

Package: libkf5emoticons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the data files.

Package: libkf5emoticons-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.104.0~),
         libkf5emoticons5 (= ${binary:Version}),
         libkf5service-dev (>= 5.104.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54)
Recommends: libkf5emoticons-doc (= ${source:Version})
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 Contains development files for kemoticons.

Package: libkf5emoticons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for emoticons and emoticons themes (documentation)
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5emoticons5
Architecture: any
Multi-Arch: same
Depends: libkf5emoticons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5emoticons-bin (= ${binary:Version})
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.

## kemoticons 5.109.0

=== debian/changelog ===
kemoticons (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:48:49 +0100

kemoticons (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:19:37 +0100

kemoticons (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:05:10 +0100

kemoticons (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:45:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5archive-dev (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5service-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5archive-dev (>= 5.109.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5service-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -50,9 +50,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.104.0~),
+Depends: libkf5archive-dev (>= 5.109.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.104.0~),
+         libkf5service-dev (>= 5.109.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kemoticons 5.110.0

=== debian/changelog ===
kemoticons (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:06:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5archive-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5service-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5archive-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5service-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -50,9 +50,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.109.0~),
+Depends: libkf5archive-dev (>= 5.110.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.109.0~),
+         libkf5service-dev (>= 5.110.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kemoticons 5.113.0

=== debian/changelog ===
kemoticons (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:58 +0000

kemoticons (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:47:49 +0000

kemoticons (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:57:28 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5archive-dev (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5service-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5archive-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5service-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -50,9 +50,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.110.0~),
+Depends: libkf5archive-dev (>= 5.113.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.110.0~),
+         libkf5service-dev (>= 5.113.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

## kemoticons 5.115.0

=== src/providers/adium/CMakeLists.txt ===
kcoreaddons_add_plugin(emoticonstheme_adium
    INSTALL_NAMESPACE kf5/emoticonsthemes
)

target_sources(emoticonstheme_adium PRIVATE adium_emoticons.cpp adium_emoticons.h)

ecm_qt_declare_logging_category(emoticonstheme_adium
    HEADER kemoticons_plugin_adium_debug.h
    IDENTIFIER KEMOTICONS_PLUGIN_ADIUM
    CATEGORY_NAME kf.emoticons.adium
    OLD_CATEGORY_NAMES kf5.kemoticons.plugin_adium
    DESCRIPTION "kemoticons (plugin adium)"
    EXPORT KEMOTICONS
)

find_package(Qt5Xml REQUIRED)
target_link_libraries(emoticonstheme_adium
PRIVATE
    KF5::Emoticons
    Qt5::Xml # for QDomDocument
)

########### install files ###############

set_target_properties(emoticonstheme_adium PROPERTIES
    OUTPUT_NAME "adium"
)
# KF6: remove
install(
    FILES emoticonstheme_adium.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
kemoticons (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:31:11 +0000

kemoticons (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:55:16 +0000

kemoticons (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:54:17 -0700

kemoticons (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:12:06 -0700

kemoticons (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:50:13 -0700

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
-               libkf5archive-dev (>= 5.113.0~),
-               libkf5config-dev (>= 5.113.0~),
-               libkf5coreaddons-dev (>= 5.113.0~),
-               libkf5service-dev (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
+               libkf5archive-dev (>= 5.115.0~),
+               libkf5config-dev (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5service-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -50,9 +50,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.113.0~),
+Depends: libkf5archive-dev (>= 5.115.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.113.0~),
+         libkf5service-dev (>= 5.115.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kemoticons 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KEmoticons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/core/CMakeLists.txt ===
add_library(KF5Emoticons)
add_library(KF5::Emoticons ALIAS KF5Emoticons)

target_sources(KF5Emoticons PRIVATE
    kemoticons.cpp
    kemoticonsglobal.cpp
    kemoticonsglobal_p.h
    kemoticons.h
    kemoticonsprovider.cpp
    kemoticonsprovider.h
    kemoticonstheme.cpp
    kemoticonstheme.h
)

ecm_qt_declare_logging_category(KF5Emoticons
    HEADER kemoticons_core_debug.h
    IDENTIFIER KEMOTICONS_CORE
    CATEGORY_NAME kf.emoticons
    OLD_CATEGORY_NAMES kf5.kemoticons.core
    DESCRIPTION "kemoticons core"
    EXPORT KEMOTICONS
)

ecm_generate_export_header(KF5Emoticons
    BASE_NAME KEmoticons
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Emoticons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KEmoticons>")

target_link_libraries(KF5Emoticons
PUBLIC
    Qt5::Gui # for QImageReader, QPixmap
    KF5::Service     # for KService::Ptr, KServiceTypeTrader
PRIVATE
    KF5::Archive    # for KTar, KZip
    Qt5::DBus
)

set_target_properties(KF5Emoticons PROPERTIES
                      VERSION ${KEMOTICONS_VERSION}
                      SOVERSION ${KEMOTICONS_SOVERSION}
                      EXPORT_NAME Emoticons
)

install(FILES kemoticonsTheme.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

ecm_generate_headers(KEmoticons_HEADERS
  HEADER_NAMES
  KEmoticons
  KEmoticonsTheme
  KEmoticonsProvider

  REQUIRED_HEADERS KEmoticons_HEADERS
)


install(TARGETS KF5Emoticons EXPORT KF5EmoticonsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kemoticons_export.h
  ${KEmoticons_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KEmoticons
  COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Emoticons_QCH
        NAME KEmoticons
        BASE_NAME KF5Emoticons
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KEmoticons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Gui_QCH
            KF5Service_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KEMOTICONS_EXPORT
            KEMOTICONS_DEPRECATED
            KEMOTICONS_DEPRECATED_EXPORT
            "KEMOTICONS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KEmoticons LIB_NAME KF5Emoticons DEPS "widgets KService" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KEmoticons)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kemoticons (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:46:13 +0100

kemoticons (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:41:54 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5archive-dev (>= 5.115.0~),
-               libkf5config-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5service-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5archive-dev (>= 5.116.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5service-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -50,9 +50,9 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.115.0~),
+Depends: libkf5archive-dev (>= 5.116.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.115.0~),
+         libkf5service-dev (>= 5.116.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)
